:root {
    --NAVIGATION_WIDTH: 100px;
}
.NAVIGATION_Wrapper {
    box-shadow: #ffe7f3 0px 0px 50px 10px;
    display: flex;
    justify-content: center;
    background-color: white;
    height: 100dvh;
    min-width: var(--NAVIGATION_WIDTH);
    overflow: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    z-index: 1;
}

.NAVIGATION_Wrapper::-webkit-scrollbar {
  display: none;
}

.NAVIGATION_menus{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: 20px 0;
    gap: 40px;
    height: max-content;
    min-height: 100%;
}
.NAVIGATION_section{
    min-width: var(--NAVIGATION_WIDTH);
    display: flex;
    align-items: center;
    flex-direction: column;
    height: fit-content;
    gap: 20px;
    margin: 0;
    padding: 0;
}
.NAVIGATION_section_element {
    color: rgba(var(--WINXCOLOR_BasicPink), 1);
    text-decoration: none;
    position: relative;
}
.NAVIGATION_section_element > span {
    display: none;
    padding: 0 30px 0 10px;
    font-size: 25px;
    top: 25%;
    white-space: nowrap;
}
.NAVIGATION_section_element > i{
    width: 70px;
    height: 70px;
    background: rgba(var(--WINXCOLOR_BasicPink), 0.1);
    cursor: pointer;
    border-radius: 200px;
    color: rgba(var(--WINXCOLOR_BasicPink), 1);
    transition: opacity 0.2s ease;
    font-size: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.NAVIGATION_section_element:hover > i{
    animation-name: navigation_icon_spin;
    animation-duration: 0.3s;
    animation-timing-function: ease;
    border: 5px solid rgba(var(--WINXCOLOR_BasicPink), 1);
}
.NAVIGATION_section_element > .fas.fa-play::before{
    margin-left: 5px;
}
.NAVIGATION_section_element > .fas.fa-music::before{
    margin-left: -4px;
}
.NAVIGATION_series_element{
    padding: 10px;
    cursor: pointer;
    border-radius: 68px;
    height: 60px;
    margin-left: 10px;
}

@keyframes navigation_icon_spin {
  0%   {rotate: 0deg;}
  80%  {rotate: -20deg;}
  90%  {rotate: -5deg;}
  100% {rotate: 0deg;}
}

@media (min-width: 2140px) {
    .NAVIGATION_section {
        align-items: flex-start;
        margin: 0 55px;
    }
    .NAVIGATION_section_element {
        display: flex;
        align-items: center;
        width: 100%;
    }
    .NAVIGATION_section_element > span {
        display: block;
    }
    .NAVIGATION_section_element:hover {
        color: white;
        background: rgba(var(--WINXCOLOR_BasicPink), 1);
        border-radius: 200px;
    }
    .NAVIGATION_section_element:hover > i {
        background: rgba(255, 255, 255, 0.85);
    }
}
@media (max-width: 1594px) {
}
@media (max-width: 1293px) {
}
@media (max-width: 970px) {
    .NAVIGATION_menus {
        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;
        align-items: center;
    }
    #NAVIGATION_series_section {
        height: 0px;
    }
    .NAVIGATION_series_section_open {
        min-width: var(--NAVIGATION_WIDTH)!important;
    }
    #NAVIGATION_mobile_more_btn {
        display: flex;
    }
}
@media (max-width: 764px) {
    :root {
        --NAVIGATION_WIDTH: 13vw;
    }
    .NAVIGATION_menus{
        padding: 2.6vw 0;
        gap: 5.2vw;
    }
    .NAVIGATION_section {
        gap: 2.6vw;
    }
    .NAVIGATION_section_element > span {
        display: none;
    }
    .NAVIGATION_section_element > i {
        font-size: 3.9vw;
        height: 9.1vw;
        width: 9.1vw;
    }
    .NAVIGATION_section_element:hover > i{
        border: 0.6vw solid rgba(var(--WINXCOLOR_BasicPink), 1);
    }
    .NAVIGATION_section_element > .fas.fa-play::before {
        margin-left: 0.6vw;
    }
    .NAVIGATION_section_element > .fas.fa-music::before {
        margin-left: -0.5vw;
    }
    @media (orientation: portrait) {
        .NAVIGATION_Wrapper {
            min-width: 100dvw;
            height: var(--NAVIGATION_WIDTH);
            align-items: center;
        }
        .NAVIGATION_menus {
            padding: 0 2.6vw;
            flex-direction: row;
        }
        .NAVIGATION_section {
            min-width: max-content;
            flex-direction: row;
        }
    }
}
